Employees: Bimp API methods
Bimp API methods for the “Employees” resource (/org2/employee/…): 5 methods. Base URL: https://app.bimpsoft.com. All requests except login pass the company token in the access-token header — see Getting started with the API.
| Method | What it does |
|---|---|
POST /org2/employee/api-read | A request to obtain detailed information for a particular employee |
POST /org2/employee/api-readList | A request to view a list of employees |
POST /org2/employee/api-readStatuses | A request to retrieve the available statuses for employees |
POST /org2/employee/api-create | A request to create a new employee |
POST /org2/employee/api-update | A request to update information for an existing employee |
api-read
POST /org2/employee/api-read
A request to obtain detailed information for a particular employee
Request body (JSON)
| Field | Type | Required | Description |
|---|---|---|---|
uuid | string (uuid) | yes | A unique uuid key for an Employee |
Response: data field
| Field | Type | Description |
|---|---|---|
uuid | string (uuid) | A unique uuid key for an Employee |
code | string | |
comment | string | An optional text field for any additional notes or comments related to the document |
position | string | Employee position |
name | string | Employee name |
user | string (uuid) | null | |
status | string (uuid) | A unique identifier for the Status of counterparty, obtainable from the /counterparty/api-readStatuses request |
hiredDate | string | The document’s date in the format ‘YYYY-MM-DDTHH:MM:SS’ (e.g., ‘2025-05-16T09:17:49’) |
releasedDate | string | The document’s date in the format ‘YYYY-MM-DDTHH:MM:SS’ (e.g., ‘2025-05-16T09:17:49’) |
curl -X POST 'https://app.bimpsoft.com/org2/employee/api-read' \
-H 'access-token: <company token>' \
-H 'Content-Type: application/json' \
-d '{"uuid":"00000000-0000-0000-0000-000000000000"}'
api-readList
POST /org2/employee/api-readList
A request to view a list of employees
Request body (JSON)
| Field | Type | Required | Description |
|---|---|---|---|
pagination | object | yes | |
pagination.offset | number | yes | Begin from {offset} elements |
pagination.count | number | yes | Limit of paginated elemets |
Response: data field
| Field | Type | Description |
|---|---|---|
[].uuid | string (uuid) | A unique uuid key for an Employee |
[].code | string | |
[].comment | string | An optional text field for any additional notes or comments related to the document |
[].position | string | Employee position |
[].name | string | Employee name |
[].user | string (uuid) | null | |
[].status | string (uuid) | A unique identifier for the Status of counterparty, obtainable from the /counterparty/api-readStatuses request |
[].hiredDate | string | The document’s date in the format ‘YYYY-MM-DDTHH:MM:SS’ (e.g., ‘2025-05-16T09:17:49’) |
[].releasedDate | string | The document’s date in the format ‘YYYY-MM-DDTHH:MM:SS’ (e.g., ‘2025-05-16T09:17:49’) |
curl -X POST 'https://app.bimpsoft.com/org2/employee/api-readList' \
-H 'access-token: <company token>' \
-H 'Content-Type: application/json' \
-d '{"pagination":{"offset":0,"count":10}}'
api-readStatuses
POST /org2/employee/api-readStatuses
A request to retrieve the available statuses for employees
Response: data field
| Field | Type | Description |
|---|---|---|
[].uuid | string (uuid) | |
[].code | string | |
[].name | string |
curl -X POST 'https://app.bimpsoft.com/org2/employee/api-readStatuses' \
-H 'access-token: <company token>'
api-create
POST /org2/employee/api-create
A request to create a new employee
Request body (JSON)
| Field | Type | Required | Description |
|---|---|---|---|
name | string | yes | Employee name |
hiredDate | string | yes | The document’s date in the format ‘YYYY-MM-DDTHH:MM:SS’ (e.g., ‘2025-05-16T09:17:49’) |
status | string (uuid) | yes | A unique identifier for the Status of counterparty, obtainable from the /counterparty/api-readStatuses request |
comment | string | An optional text field for any additional notes or comments related to the document | |
position | string | Employee position | |
user | string (uuid) | null | ||
releasedDate | string | The document’s date in the format ‘YYYY-MM-DDTHH:MM:SS’ (e.g., ‘2025-05-16T09:17:49’) |
Response: data field
| Field | Type | Description |
|---|---|---|
uuid | string |
curl -X POST 'https://app.bimpsoft.com/org2/employee/api-create' \
-H 'access-token: <company token>' \
-H 'Content-Type: application/json' \
-d '{"name":"string","hiredDate":"string","status":"00000000-0000-0000-0000-000000000000"}'
api-update
POST /org2/employee/api-update
A request to update information for an existing employee
Request body (JSON)
| Field | Type | Required | Description |
|---|---|---|---|
uuid | string (uuid) | yes | A unique uuid key for an Employee |
comment | string | An optional text field for any additional notes or comments related to the document | |
position | string | Employee position | |
name | string | Employee name | |
user | string (uuid) | null | ||
status | string (uuid) | A unique identifier for the Status of counterparty, obtainable from the /counterparty/api-readStatuses request | |
hiredDate | string | The document’s date in the format ‘YYYY-MM-DDTHH:MM:SS’ (e.g., ‘2025-05-16T09:17:49’) | |
releasedDate | string | The document’s date in the format ‘YYYY-MM-DDTHH:MM:SS’ (e.g., ‘2025-05-16T09:17:49’) |
curl -X POST 'https://app.bimpsoft.com/org2/employee/api-update' \
-H 'access-token: <company token>' \
-H 'Content-Type: application/json' \
-d '{"uuid":"00000000-0000-0000-0000-000000000000"}'
Interactive documentation with a test request option: https://app.bimpsoft.com/docs. The OpenAPI specification is updated together with Bimp; this page is generated from it automatically.